# Function $StateRefActiveDirective

- $StateRefActiveDirective($state, $routerGlobals, $interpolate, $stateRegistry, $transitions): Directive

- #### Parameters

  - $state: any
  - $routerGlobals: any
  - $interpolate: any
  - $stateRegistry: any
  - $transitions: any

  #### Returns Directive

  - Defined in router/directives/state-directives.js:239

#####
Index

### Properties

$inject

##
Properties

### $inject

$inject: string[]

- Defined in router/directives/state-directives.js:222